> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve current user

> Retrieves data of currently logged in user including their [login identifiers](/api-reference/backend-api/loginidentifiers/create-a-login-identifier-for-a-user) and [social logins](/api-reference/backend-api/users/create-a-social-login-for-a-user).




## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml get /v2/me
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/me:
    get:
      tags:
        - Users
      summary: Retrieve current user
      description: >
        Retrieves data of currently logged in user including their [login
        identifiers](/api-reference/backend-api/loginidentifiers/create-a-login-identifier-for-a-user)
        and [social
        logins](/api-reference/backend-api/users/create-a-social-login-for-a-user).
      operationId: CurrentUserGet
      responses:
        '200':
          description: tbd
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/meRsp'
components:
  schemas:
    meRsp:
      type: object
      required:
        - id
        - fullName
        - identifiers
        - socialAccounts
      properties:
        id:
          type: string
        fullName:
          type: string
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/identifier'
        socialAccounts:
          type: array
          items:
            $ref: '#/components/schemas/socialAccount'
    identifier:
      type: object
      required:
        - id
        - value
        - type
        - status
      properties:
        id:
          type: string
        value:
          type: string
        type:
          $ref: '#/components/schemas/loginIdentifierType'
        status:
          type: string
    socialAccount:
      type: object
      required:
        - providerType
        - identifierValue
        - avatarUrl
        - fullName
      properties:
        providerType:
          type: string
          description: Type of the social provider.
          enum:
            - google
            - microsoft
            - github
        identifierValue:
          type: string
        avatarUrl:
          type: string
        fullName:
          type: string
    loginIdentifierType:
      type: string
      enum:
        - email
        - phone
        - username
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````